Lien Add - Sandbox

Lien Add

2.75.0OAS 3.0

Enables lenders to estimate fees, submit lien add transactions, and manage digital signature requests, returning status and confirmation data.

API Base URL
  • Server 1:https://api-test.vitu.com/national-public-api/v2
Security
bearerAuth (http)

Access tokens MUST follow JWT best practices per RFC8725: reject the “none” algorithm, verify signature and alg, and validate exp/nbf/aud/iss claims.

Fees

Fees operations.

Calculate Fees

Calculates fees

post
https://api-test.vitu.com/national-public-api/v2/fees

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

Headers

x-on-behalf-of-userinteger(int32)

>= -2147483648<= 2147483647

Body

application/json

LienAddTransactionRequest

LienAddTransactionRequest
One Of
statestringrequired

Allowed values:UT

Match pattern:^[\s\S]*$

<= 255 characters

applicationTypestringrequired

Allowed values:LienAdd

refNumberstring(uuid)

<= 36 characters

loanNumberstring | null

Match pattern:(?=^[\s\S]*$)(?=^[\s\S]*$)

<= 255 characters

lienholder1object
Show Child Parameters
vehicleobject
Show Child Parameters
ownerobject
Show Child Parameters
coOwnerobject
Show Child Parameters
registrationobject
Show Child Parameters
sellerobject
Show Child Parameters

Response

application/json

OK

FeesResponseDTO

FeesResponseDTO
post/fees

Body

{ "refNumber": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "state": "AL", "applicationType": "LienAdd", "registration": { "action": "NewRegistration", "address": { "street": "1116 Clarendon Ave", "city": "Brighton", "county": "Jefferson", "state": "AL", "zipCode": "35020", "zipCodeExt": "405" } }, "seller": { "address": { "street": "500 Lessor Ave", "city": "Birmingham", "county": "Jefferson", "state": "AL", "zipCode": "35205", "zipCodeExt": "1234" } }, "owner": { "ownerIsBusiness": false, "customerLastName": "Doe", "ownerType": "Business" }, "vehicle": { "vin": "5NMS4DAL5MHTEST", "state": "AL", "vehicleType": "Passenger", "fuelType": "Gasoline", "useType": "Personal", "grossWeight": 4100, "dealerServiceFee": 150, "documentFees": 75, "addOns": 0, "deliveryFee": 250, "tradeInValue": 0, "secondTradeInValue": 0, "manufacturesSuggestedRetailPrice": 32000, "purchaseDate": "2026-02-24T10:00:00Z", "isMilitary": false, "sellingPrice": 28995, "saleType": "Purchase", "soldAs": "New", "isLeaseBuyout": false, "isLeaseBuyoutTaxesRemittedBySeller": false, "isDrivenOffLot": true } }
 
application/json

Registration

Registration operations.

Create Transaction

Creates a transaction in VITU system

post
https://api-test.vitu.com/national-public-api/v2/transaction

Query Parameters

callbackUrlstring(uri)

the location where data will be sent. Must be network accessible by the source server

Match pattern:^https?://

<= 2048 characters

Example:https://vitu.com/example

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

Headers

x-on-behalf-of-userinteger(int32)

>= -2147483648<= 2147483647

Body

application/json

LienAddTransactionRequest

LienAddTransactionRequest
One Of
statestringrequired

Allowed values:UT

Match pattern:^[\s\S]*$

<= 255 characters

applicationTypestringrequired

Allowed values:LienAdd

refNumberstring(uuid)

<= 36 characters

loanNumberstring | null

Match pattern:(?=^[\s\S]*$)(?=^[\s\S]*$)

<= 255 characters

lienholder1object
Show Child Parameters
vehicleobject
Show Child Parameters
ownerobject
Show Child Parameters
coOwnerobject
Show Child Parameters
registrationobject
Show Child Parameters
sellerobject
Show Child Parameters

Response

application/json

OK

EmptyResponse

EmptyResponseobject

Empty response body (operation accepted / no content).

* Additional properties are NOT allowed.

Callbacks

post
{$request.query.callbackUrl}

Callback Response

Target server returns this code if it accepts the callback

post/transaction

Body

{ "refNumber": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "state": "AL", "applicationType": "LienAdd", "loanNumber": "string", "lienholder1": { "lienAmount": 0, "name": "test2", "maturityDate": "2025-01-01", "address": { "zipCode": "93279", "state": "CA", "city": "VISALIA", "street": "PO BX 1311", "county": "string" } }, "vehicle": { "state": "AL", "model": "SANTA FE", "odometerReadDate": "2025-01-01", "vehicleType": "Passenger", "grossWeight": 5357 }, "previousTitle": { "plateNumber": "string" }, "owner": { "ssn": "987987987", "driverLicenseNumber": "F112345", "driverLicenseState": "AR", "dateOfBirth": "1969-03-07" }, "registration": { "action": "NewRegistration", "address": { "street": "1116 Clarendon Ave", "city": "Brighton", "county": "Jefferson", "state": "AL", "zipCode": "35020", "zipCodeExt": "405" } }, "seller": { "address": { "street": "500 Lessor Ave", "city": "Birmingham", "county": "Jefferson", "state": "AL", "zipCode": "35205", "zipCodeExt": "1234" } } }
 
application/json
callback sample
Callback Body
Callback Response